linux_mesa3 doesn't compile

William DeVries william_devries2000 at yahoo.com
Sun Jan 4 15:56:41 PST 2004


My system has that file installed under
/compat/linux/usr/lib.  It is a link to a version
libstdc++.so.5.0.1.  I have linux_base-8-8.0_3
installed(the file would be in this), and
linux_dri-4.3.0_1 for 3d gl acceleration.  I was able
to run wolfenstine et using this set up.  I hope this
helps.

--Will

--- Jeremy Messenger <mezz7 at cox.net> wrote:
> On Sun, 4 Jan 2004 19:03:30 +0000, Nuno Teixeira
> <nunotex at freeshell.org> 
> wrote:
> 
> > Hello,
> >
> > Thanks very much for your quick answer. It works.
> >
> > I'm trying to run bzflag game rpm to experiment
> linux emulation. I'm
> > having problems with libstdc++.so.5 not found.
> 
> I don't think the emulators/linux_base (version 7)
> has it, because I 
> couldn't find any in my two systems. The
> emulators/linux_base-8 probably 
> has it, but I can't promise you because I don't have
> it install.
> 
> The real question is that why don't you use a native
> one instead? It's in 
> games/bzflag ..
> 
> > How you install linux tuxracer? I thinking
> compiling it chrooted to
> > /compat/linux ? Is that possible?
> 
> You can install it by go to games/tuxracer, it works
> fine. Also, I even 
> have the demo and full version (commerical one,
> binaries only) that work 
> fine. I just need to install linux_base, linux_mesa3
> and linux-esound then 
> run installer and play tuxracer.
> 
> Cheers,
> Mezz
> 
> > Thanks again,
> >
> > 	Nuno Teixeira
> >
> > On Sun, Jan 04, 2004 at 12:33:42PM -0600, Jeremy
> Messenger wrote:
> >> On Sun, 4 Jan 2004 18:23:27 +0000, Nuno Teixeira
> <nunotex at freeshell.org>
> >> wrote:
> >>
> >> >
> >> >Hello to all,
> >> >
> >> >I'm trying to install linux_mesa3 on a 5.2 RC:
> >> >
> >> <snip>
> >> >checking for gcc... cc
> >> >checking whether the C compiler (cc -O -pipe
> -march=athlon-xp ) 
> >> works...
> >> >no
> >> >configure: error: installation or configuration
> problem: C compiler
> >> >cannot create executables.
> >> <snip>
> >>
> >> The real issue is that the linux emulator has the
> GCC 2.9x.xx. The GCC
> >> 2.9x.xx doesn't supporth the athlon-xp, which
> meaning you will have to
> >> change it to i686 or whatever to what GCC 2.9x.xx
> support in the CPUTYPE
> >> at /etc/make.conf. I noticed that you use
> portupgrade, here's what I 
> >> have
> >> in my pkgtools.conf:
> >>
> >> ================================
> >>   MAKE_ARGS = {
> >>     'graphics/linux_mesa3' => [
> >>       'CFLAGS=" -O2 -pipe -march=i686"',
> >>       'STRIP="-s"',
> >>     ],
> >>
> >>     [...]
> >>
> >>   }
> >> ================================
> >>
> >> It works fine, I can play tuxracer and etc.
> >>
> >> Cheers,
> >> Mezz
> >>
> >> >I have attached config.log and `ls /var/db/pkg`.
> >> >
> >> >Thanks,
> >>
> >>
> >> --
> >> bsdforums.org 's moderator, mezz.
> 
> 
> -- 
> bsdforums.org 's moderator, mezz.
> _______________________________________________
> freebsd-ports at freebsd.org mailing list
>
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
> To unsubscribe, send any mail to
"freebsd-ports-unsubscribe at freebsd.org"


__________________________________
Do you Yahoo!?
Find out what made the Top Yahoo! Searches of 2003
http://search.yahoo.com/top2003


More information about the freebsd-ports mailing list